$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.12.48-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.12.48-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4F4C9F22F499CF8648D13A5248D6757E5D45AB69698A3B89C2FB90BE625B0BA8'
  checksumType = 'sha256'
  checksum64 = '4F4C9F22F499CF8648D13A5248D6757E5D45AB69698A3B89C2FB90BE625B0BA8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.12.48-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
